Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81795 - acct conversions broken on ia64
Summary: acct conversions broken on ia64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: psacct
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charlie Bennett
QA Contact:
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 02:51 UTC by dann frazier
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-27 16:58:50 UTC


Attachments (Terms of Use)

Description dann frazier 2003-01-14 02:51:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021226
Debian/1.2.7-6

Description of problem:
the acct package is broken on architectures w/ 8 byte time_t
the utilities that read the account logs improperly convert
the start date of a process.

the details of the bug, and a patch that fixes one of the instantiations
can be found here:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=169099

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run dump-acct as per above bug report
    

Additional info:

Comment 1 Mike A. Harris 2003-01-22 16:54:40 UTC
Care should also be taken to ensure any fixes do not change binary compatibility.
I had to be careful with prior bugs that were reported in psacct for issues
like that.


Note You need to log in before you can comment on or make changes to this bug.